> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olostep.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 删除文件

> 从存储中删除文件及其相关数据。



## OpenAPI

````yaml zh/openapi/files.json DELETE /v1/files/{file_id}
openapi: 3.0.3
info:
  title: 文件 API
  version: 1.0.0
servers:
  - url: https://api.olostep.com
security: []
paths:
  /v1/files/{file_id}:
    delete:
      summary: 删除文件
      description: 从存储中删除文件及其相关数据。
      parameters:
        - name: file_id
          in: path
          required: true
          description: 要删除的文件的唯一标识符。
          schema:
            type: string
      responses:
        '200':
          description: 文件删除成功。
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: 文件 ID
                  object:
                    type: string
                    description: 对象类型。此端点为 "file"。
                  deleted:
                    type: boolean
                    description: 表示文件已成功删除。
        '401':
          description: 无效的 API 密钥
        '404':
          description: 文件未找到
        '500':
          description: 内部服务器错误
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: Bearer认证头格式为Bearer <token>，其中<token>是你的认证令牌。

````